Skip to main content
PUT
Update a domain

Authorizations

Authorization
string
header
required

API key from your SendKit dashboard. Pass it as a Bearer token in the Authorization header.

Path Parameters

id
string<uuid>
required

The domain ID.

Body

application/json
open_tracking
boolean

Enable or disable open tracking.

Example:

true

click_tracking
boolean

Enable or disable click tracking.

Example:

true

tls
enum<string>

TLS delivery mode.

Available options:
opportunistic,
enforced
Example:

"enforced"

Response

Domain updated successfully

id
string<uuid>

Unique identifier.

Example:

"550e8400-e29b-41d4-a716-446655440000"

name
string

The domain name.

Example:

"yourdomain.com"

status
enum<string>

The current verification status of the domain.

Available options:
not_started,
pending,
verified,
partially_verified,
failed,
temporary_failure
Example:

"verified"

region
enum<string>

The AWS region where the domain is configured.

Available options:
sa-east-1,
us-east-2,
eu-central-1
Example:

"us-east-2"

open_tracking
boolean

Whether open tracking is enabled.

Example:

true

click_tracking
boolean

Whether click tracking is enabled.

Example:

true

tls
enum<string>

The TLS delivery mode.

Available options:
opportunistic,
enforced
Example:

"opportunistic"

sending_enabled
boolean

Whether sending is enabled for this domain.

Example:

true

dns_records
object[]

The DNS records that need to be configured for this domain.

created_at
string<date-time>

When the domain was created.

Example:

"2026-03-03 10:00:00"

updated_at
string<date-time>

When the domain was last updated.

Example:

"2026-03-03 10:00:00"